﻿using System;

//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

namespace BlazorComponents.MyCode
{
    public class DataCalendar
    {
        public (string nameMonth, int numDays, int offset) GetDays(int year, int month)
        {
            int numDays = DateTime.DaysInMonth(year, month);

            string nameMonth = new DateTime(year, month, 1).ToString("MMMM yyyy", System.Globalization.CultureInfo.CurrentCulture);

            int[] convertOffset = { 6, 0, 1, 2, 3, 4, 5 };
            int i = (int)DateTime.Parse(year.ToString() + " " + month.ToString()).DayOfWeek;
            int offset = convertOffset[i];

            return (nameMonth, numDays, offset);
        }
    }
}
